Create a dedicated server
This POST request to the /v1/hosts/dedicated_servers endpoint will create a new dedicated server with a specified configuration.
Authorization
bearerAuth In: header
Request Body
| Field | Details |
|---|---|
location_id | integerA unique identifier of a server's location. A request to list all the location IDs is described in the Location section. |
server_model_id | integerAn identifier of a server model. You can find how to list all the server models in the Order Options section. |
objectA parameter that identifies characteristics of the connection. More details in the Order Options block. You should expand An uplink model ID has to be put in a | |
ram_size | integerThe RAM size in GB. The value must be supported by a server model. To list available RAM options, use the List RAM options request. |
objectCharacteristics of disk drives. You can find a description of each parameter and specify it when expanding the | |
features? | array<string>Additional features available within a location. You can request a list of supported features in the Location block. |
ipv6? | booleanSpecify with |
array<object>An array of names given to servers and set up on the server's side. Each hostname consists of letters (a to z), digits (0 to 9), delimiter dots (.), and a hyphen (-). A maximum is 253 symbols (15 for Windows OS). Each part divided by a dot can be no longer than 63 symbols. This parameter defines the number of servers. As many hostnames are specified, as many servers will be created. All these servers will have the same characteristics according to the rest parameters in the request. | |
operating_system_id? | integerA unique identifier of an operating system. To get a list of available OS, follow to the Operating system option section. |
ssh_key_fingerprints? | array<string>Fill this parameter in with a fingerprint to use an SSH key to access the server. This fingerprint has to be already created. Check SSH keys you have, or create a new one in the the relevant section. |
user_data? | stringUser data is the content that will be processed by cloud-init during server's initialization. Paste your file's content in this argument. The first line is significant because it defines a type of data. We recommend you get acquainted with available formats in the cloud-init documentation. User data is available for Linux via cloud-init and for Windows via cloudbase-init. User data formats for cloudbase-init. |
ipxe_config? | stringA parameter to pass the content of an iPXE script as a string. Learn more in the iPXE Boot section. |
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/v1/hosts/dedicated_servers" \ -H "Content-Type: application/json" \ -d '{ "server_model_id": 66, "location_id": 16, "ram_size": 2, "uplink_models": { "public": { "id": 71, "bandwidth_model_id": 72 }, "private": { "id": 73 } }, "drives": { "slots": [ { "position": 1, "drive_model_id": 74 }, { "position": 2, "drive_model_id": 74 } ], "layout": [ { "slot_positions": [ 1, 2 ], "raid": 1, "partitions": [ { "target": "/boot", "size": 500, "fill": false, "fs": "ext4" }, { "target": "swap", "size": 4096, "fill": false }, { "target": "/", "size": 10140, "fill": true, "fs": "ext4" } ] } ] }, "ipv6": true, "hosts": [ { "hostname": "example.aa", "public_ipv4_network_id": "open5Rd7", "private_ipv4_network_id": "4zbqx2ap", "labels": { "environment": "production", "service": "my-web-app", "example.com/project": "my-project", "example.com/owner": "my-team" } }, { "hostname": "example.bb", "labels": { "environment": "production", "service": "my-web-app", "example.com/project": "my-project", "example.com/owner": "my-team" } } ], "operating_system_id": 4 }'[ { "id": "YQdJ2dOG", "rack_id": null, "title": "example.aa", "location_id": 16, "location_code": "location31", "status": "init", "operational_status": "provisioning", "power_status": "unknown", "configuration": "Dell chassis-9018 / 2 GB RAM / ", "private_ipv4_address": "10.128.1.4", "public_ipv4_address": "100.0.8.4", "lease_start_at": null, "scheduled_release_at": null, "type": "dedicated_server", "oob_ipv4_address": null, "configuration_details": { "ram_size": 2, "bandwidth_id": 72, "bandwidth_name": "20000 GB", "server_model_id": 66, "public_uplink_id": 71, "private_uplink_id": 73, "server_model_name": "server-model-430", "public_uplink_name": "Public 1 Gbps without redundancy", "operating_system_id": 4, "private_uplink_name": "Private 1 Gbps without redundancy", "operating_system_full_name": "CentOS 7 x86_64" }, "labels": { "environment": "production", "service": "my-web-app", "example.com/project": "my-project", "example.com/owner": "my-team" }, "ipxe_config": null, "userdata_sha256": null, "created_at": "2026-05-28T06:55:02Z", "updated_at": "2026-05-28T06:55:02Z" }, { "id": "y1aKReQG", "rack_id": null, "title": "example.bb", "location_id": 16, "location_code": "location31", "status": "init", "operational_status": "provisioning", "power_status": "unknown", "configuration": "Dell chassis-9018 / 2 GB RAM / ", "private_ipv4_address": null, "public_ipv4_address": null, "lease_start_at": null, "scheduled_release_at": null, "type": "dedicated_server", "oob_ipv4_address": null, "configuration_details": { "ram_size": 2, "bandwidth_id": 72, "bandwidth_name": "20000 GB", "server_model_id": 66, "public_uplink_id": 71, "private_uplink_id": 73, "server_model_name": "server-model-430", "public_uplink_name": "Public 1 Gbps without redundancy", "operating_system_id": 4, "private_uplink_name": "Private 1 Gbps without redundancy", "operating_system_full_name": "CentOS 7 x86_64" }, "labels": { "environment": "production", "service": "my-web-app", "example.com/project": "my-project", "example.com/owner": "my-team" }, "ipxe_config": null, "userdata_sha256": null, "created_at": "2026-05-28T06:55:02Z", "updated_at": "2026-05-28T06:55:02Z" }]